pdConstruct {nlme} | R Documentation

## Construct pdMat Objects

### Description

This function is an alternative constructor for the `pdMat` class associated with `object` and is mostly used internally in other functions. See the documentation on the principal constructor function, generally with the same name as the `pdMat` class of object.

### Usage

    pdConstruct(object, value, form, nam, data, ...)

### Arguments

`object` | an object inheriting from class `pdMat`, representing a positive definite matrix.
`value` | an optional initialization value, which can be any of the following: a `pdMat` object, a positive-definite matrix, a one-sided linear formula (with variables separated by `+`), a vector of character strings, or a numeric vector. Defaults to `numeric(0)`, corresponding to an uninitialized object.
`form` | an optional one-sided linear formula specifying the row/column names for the matrix represented by `object`. Because factors may be present in `form`, the formula needs to be evaluated on a data.frame to resolve the names it defines. This argument is ignored when `value` is a one-sided formula. Defaults to `NULL`.
`nam` | an optional vector of character strings specifying the row/column names for the matrix represented by object. It must have length equal to the dimension of the underlying positive-definite matrix and unreplicated elements. This argument is ignored when `value` is a vector of character strings. Defaults to `NULL`.
`data` | an optional data frame in which to evaluate the variables named in `value` and `form`. It is used to obtain the levels for `factors`, which affect the dimensions and the row/column names of the underlying matrix. If `NULL`, no attempt is made to obtain information on `factors` appearing in the formulas. Defaults to the parent frame from which the function was called.
`...` | optional arguments for some methods.

### Value

a `pdMat` object representing a positive-definite matrix, inheriting from the same classes as `object`.

### Author(s)

José Pinheiro and Douglas Bates bates@stat.wisc.edu

### See Also

`pdCompSymm`, `pdDiag`, `pdIdent`, `pdNatural`, `pdSymm`

### Examples

    pd1 <- pdSymm()
    pdConstruct(pd1, diag(1:4))

[Package nlme version 3.1-131 Index]